scala.xml.parsing

# NoBindingFactoryAdapter

#### class NoBindingFactoryAdapter extends FactoryAdapter with NodeFactory[Elem]

nobinding adaptor providing callbacks to parser to create elements. implements hash-consing

Source
  NoBindingFactoryAdapter.scala

Linear Supertypes
NodeFactory[Elem], FactoryAdapter, XMLLoader[Node], DefaultHandler, ErrorHandler, ContentHandler, DTDHandler, EntityResolver, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. NoBindingFactoryAdapter
2. NodeFactory
3. FactoryAdapter
4. XMLLoader
5. DefaultHandler
6. ErrorHandler
7. ContentHandler
8. DTDHandler
9. EntityResolver
10. AnyRef
11. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NoBindingFactoryAdapter()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def adapter: FactoryAdapter

   Definition Classes
     XMLLoader

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### val attribStack: Stack[MetaData]

   Definition Classes
     FactoryAdapter

9. #### val buffer: StringBuilder

   Definition Classes
     FactoryAdapter

10. #### val cache: HashMap[Int, List[Elem]]

    Definition Classes
      NodeFactory

11. #### var capture: Boolean

    Definition Classes
      FactoryAdapter

12. #### def captureText(): Unit

    captures text, possibly normalizing whitespace

    captures text, possibly normalizing whitespace

    Definition Classes
      FactoryAdapter

13. #### def characters(ch: Array[Char], offset: Int, length: Int): Unit

    Characters.

    Characters.

    ch
    offset
    length

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

14. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

15. #### def construct(hash: Int, old: List[Elem], pre: String, name: String, attrSeq: MetaData, scope: NamespaceBinding, children: Seq[Node]): Elem

    Attributes
      protected
    Definition Classes
      NodeFactory

16. #### def create(pre: String, label: String, attrs: MetaData, scope: NamespaceBinding, children: Seq[Node]): Elem

    From NodeFactory.

    From NodeFactory. Constructs an instance of scala.xml.Elem

    Attributes
      protected
    Definition Classes
      NoBindingFactoryAdapter → NodeFactory

17. #### def createNode(pre: String, label: String, attrs: MetaData, scope: NamespaceBinding, children: List[Node]): Elem

    From FactoryAdapter.

    From FactoryAdapter. Creates a node. never creates the same node twice, using hash-consing.

    returns

      a new XML element.

    Definition Classes
      NoBindingFactoryAdapter → FactoryAdapter

18. #### def createProcInstr(target: String, data: String): Seq[ProcInstr]

    Creates a processing instruction.

    Creates a processing instruction.

    Definition Classes
      NoBindingFactoryAdapter → FactoryAdapter

19. #### def createText(text: String): Text

    Creates a text node.

    Creates a text node.

    text

    returns

      a new Text node.

    Definition Classes
      NoBindingFactoryAdapter → FactoryAdapter

20. #### var curTag: String

    Definition Classes
      FactoryAdapter

21. #### def endDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

22. #### def endElement(uri: String, _localName: String, qname: String): Unit

    End element.

    End element.

    uri
    qname
    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler
    Exceptions thrown
      org.xml.sax.SAXException

      if ..

23. #### def endPrefixMapping(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

24. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

25. #### def eqElements(ch1: Seq[Node], ch2: Seq[Node]): Boolean

    Definition Classes
      NodeFactory

26. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. See equals in Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

27. #### def error(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

28. #### def fatalError(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

29. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

30. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

31. #### val hStack: Stack[Node]

    Definition Classes
      FactoryAdapter

32. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

33. #### def ignorableWhitespace(arg0: Array[Char], arg1: Int, arg2: Int): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

34. #### val ignoreComments: Boolean

    Definition Classes
      NodeFactory

35. #### val ignoreProcInstr: Boolean

    Definition Classes
      NodeFactory

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### def load(url: URL): Node

    Definition Classes
      XMLLoader

38. #### def load(source: InputSource): Node

    Definition Classes
      XMLLoader

39. #### def load(sysID: String): Node

    Definition Classes
      XMLLoader

40. #### def load(reader: Reader): Node

    Definition Classes
      XMLLoader

41. #### def load(is: InputStream): Node

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    loads XML from given InputStream, Reader, sysID, InputSource, or URL.

    Definition Classes
      XMLLoader

42. #### def loadFile(name: String): Node

    Definition Classes
      XMLLoader

43. #### def loadFile(fd: FileDescriptor): Node

    Definition Classes
      XMLLoader

44. #### def loadFile(file: File): Node

    Loads XML from the given file, file descriptor, or filename.

    Loads XML from the given file, file descriptor, or filename.

    Definition Classes
      XMLLoader

45. #### def loadString(string: String): Node

    Loads XML from the given String.

    Loads XML from the given String.

    Definition Classes
      XMLLoader

46. #### def loadXML(source: InputSource, parser: SAXParser): Node

    Loads XML from the given InputSource, using the supplied parser.

    Loads XML from the given InputSource, using the supplied parser. The methods available in scala.xml.XML use the XML parser in the JDK.

    Definition Classes
      XMLLoader

47. #### def makeComment(s: String): Seq[Comment]

    Definition Classes
      NodeFactory

48. #### def makeNode(pre: String, name: String, attrSeq: MetaData, scope: NamespaceBinding, children: Seq[Node]): Elem

    Definition Classes
      NodeFactory

49. #### def makeProcInstr(t: String, s: String): Seq[ProcInstr]

    Definition Classes
      NodeFactory

50. #### def makeText(s: String): Text

    Definition Classes
      NodeFactory

51. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

52. #### def nodeContainsText(label: String): Boolean

    True.

    True. Every XML node may contain text that the application needs

    returns

      true if element named `localName` contains text.

    Definition Classes
      NoBindingFactoryAdapter → FactoryAdapter

53. #### def nodeEquals(n: Node, pre: String, name: String, attrSeq: MetaData, scope: NamespaceBinding, children: Seq[Node]): Boolean

    Definition Classes
      NodeFactory

54. #### val normalizeWhitespace: Boolean

    Definition Classes
      FactoryAdapter

55. #### def notationDecl(arg0: String, arg1: String, arg2: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws()

56. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

57. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

58. #### def parser: SAXParser

    Definition Classes
      XMLLoader

59. #### def processingInstruction(target: String, data: String): Unit

    Processing instruction.

    Processing instruction.

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

60. #### def resolveEntity(arg0: String, arg1: String): InputSource

    Definition Classes
      DefaultHandler → EntityResolver
    Annotations
      @throws() @throws()

61. #### var rootElem: Node

    Definition Classes
      FactoryAdapter

62. #### var scopeStack: Stack[NamespaceBinding]

    Definition Classes
      FactoryAdapter

63. #### def setDocumentLocator(arg0: Locator): Unit

    Definition Classes
      DefaultHandler → ContentHandler

64. #### def skippedEntity(arg0: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

65. #### def startDocument(): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

66. #### def startElement(uri: String, _localName: String, qname: String, attributes: Attributes): Unit

    Definition Classes
      FactoryAdapter → DefaultHandler → ContentHandler

67. #### def startPrefixMapping(arg0: String, arg1: String): Unit

    Definition Classes
      DefaultHandler → ContentHandler
    Annotations
      @throws()

68. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

69. #### val tagStack: Stack[String]

    Definition Classes
      FactoryAdapter

70. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

71. #### def unparsedEntityDecl(arg0: String, arg1: String, arg2: String, arg3: String): Unit

    Definition Classes
      DefaultHandler → DTDHandler
    Annotations
      @throws()

72. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

73. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

74. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

75. #### def warning(arg0: SAXParseException): Unit

    Definition Classes
      DefaultHandler → ErrorHandler
    Annotations
      @throws()

### Inherited from NodeFactory[Elem]

### Inherited from FactoryAdapter

### Inherited from XMLLoader[Node]

### Inherited from DefaultHandler

### Inherited from ErrorHandler

### Inherited from ContentHandler

### Inherited from DTDHandler

### Inherited from EntityResolver

### Inherited from AnyRef

### Inherited from Any